| Version: 3.3.1

Classes | Typedefs | Enumerations | Functions
scrolwin.h File Reference

## Classes
class | wxScrolled< T >
| The wxScrolled class manages scrolling for its client area, transforming the coordinates according to the scrollbar positions, and setting the scroll positions, thumb sizes and ranges according to the area in view. More...

## Typedefs
typedef wxScrolled< wxPanel > | wxScrolledWindow
| Scrolled window derived from wxPanel. More...
typedef wxScrolled< wxWindow > | wxScrolledCanvas
| Alias for wxScrolled<wxWindow>. More...

## Enumerations
enum | wxScrollbarVisibility { wxSHOW_SB_NEVER = -1 , wxSHOW_SB_DEFAULT , wxSHOW_SB_ALWAYS }
| Possible values for the second argument of wxScrolled::ShowScrollbars(). More...

## Functions
bool | wxCreateScrolled (T *self, wxWindow *parent, wxWindowID winid, const wxPoint &pos, const wxSize &size, long style, const wxString &name)
| Helper function which is called from wxScrolled::Create() to actually create a scrolled window. More...

## Enumeration Type Documentation

## ◆ wxScrollbarVisibility

enum wxScrollbarVisibility

Possible values for the second argument of wxScrolled::ShowScrollbars().

Enumerator
wxSHOW_SB_NEVER | Never show the scrollbar at all.
wxSHOW_SB_DEFAULT | Show scrollbar only if it is needed.
wxSHOW_SB_ALWAYS | Always show scrollbar, even if not needed.

## Function Documentation

## ◆ wxCreateScrolled()

bool wxCreateScrolled | ( | T * | self,
|  | wxWindow * | parent,
|  | wxWindowID | winid,
|  | const wxPoint & | pos,
|  | const wxSize & | size,
|  | long | style,
|  | const wxString & | name
| ) |  |

Helper function which is called from wxScrolled::Create() to actually create a scrolled window.

By default it just passes the call to the base class Create():

self->Create(parent, winid, pos, size, style, name);

You should provide overloaded implementation of this function for the custom base class if this class is created in a different manner, like it is e.g. done for wxControl:

bool wxCreateScrolled(wxControl* self,
wxWindow *parent, wxWindowID winid,
const wxPoint& pos, const wxSize& size,
long style, const wxString& name)
{
return self->Create(parent, winid, pos, size, style, wxDefaultValidator, name);
}
wxControl
This is the base class for a control or "widget".
Definition: control.h:41
wxPoint
A wxPoint is a useful data structure for graphics operations.
Definition: gdicmn.h:686
wxSize
A wxSize is a useful data structure for graphics operations.
Definition: gdicmn.h:1039
wxString
String class for passing textual data to or receiving it from wxWidgets.
Definition: string.h:372
wxWindow
wxWindow is the base class for all windows and represents any visible object on screen.
Definition: window.h:353
wxCreateScrolled
bool wxCreateScrolled(T *self, wxWindow *parent, wxWindowID winid, const wxPoint &pos, const wxSize &size, long style, const wxString &name)
Helper function which is called from wxScrolled::Create() to actually create a scrolled window.
wxDefaultValidator
const wxValidator wxDefaultValidator
An empty, "null" wxValidator instance.
Definition: validate.h:136
wxWindowID
int wxWindowID
The type of unique identifiers (ID) used for wxWindow-derived classes.
Definition: windowid.h:11

Since
  3.1.3